# org.codehaus.plexus.metadata

## Interfaces

- ComponentDescriptorExtractor
- ComponentDescriptorWriter
- MetadataGenerator

## Classes

- ClassComponentDescriptorExtractor
- ComponentDescriptorExtractorSupport
- DefaultComponentDescriptorWriter
- DefaultMetadataGenerator
- MetadataGenerationRequest
- PlexusMetadataGeneratorCli
- SourceComponentDescriptorExtractor

## Exceptions

- ComponentDescriptorWriteException